MocksControl.MockType
Date: 2015-09-17

org.easymock.internal

## Enum MocksControl.MockType

- java.lang.Object
- - java.lang.Enum<MocksControl.MockType>
  - - org.easymock.internal.MocksControl.MockType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MocksControl.MockType>
  Enclosing class:
    MocksControl

  Deprecated.
  Use org.easymock.MockType

      @Deprecated
      public static enum MocksControl.MockType
      extends java.lang.Enum<MocksControl.MockType>

  This class was kept here for compatibility reason with frameworks using EasyMock

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT` Deprecated.
    `NICE` Deprecated.
    `STRICT` Deprecated.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MockType` | `realType` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MocksControl.MockType` | `valueOf(java.lang.String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static MocksControl.MockType[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NICE

          public static final MocksControl.MockType NICE

      Deprecated.

    - #### DEFAULT

          public static final MocksControl.MockType DEFAULT

      Deprecated.

    - #### STRICT

          public static final MocksControl.MockType STRICT

      Deprecated.

  - ### Field Detail

    - #### realType

          public MockType realType

      Deprecated.

  - ### Method Detail

    - #### values

          public static MocksControl.MockType[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MocksControl.MockType c : MocksControl.MockType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MocksControl.MockType valueOf(java.lang.String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null